function learnCycle()
%Die Lernrate und die Anzahl der Lernepochen weden aus dem
%Hauptfenster gelesen und der Methode fr das Rescorla-Wagner
%Verfahren bergeben.

alpha  = str2num(get(findobj(gcbf, 'Tag', 'EditText2'), 'String'));
noIter = str2num(get(findobj(gcbf, 'Tag', 'EditText3'), 'String'));
USplus = str2num(get(findobj(gcbf, 'Tag', 'edit1'), 'String'));
USminus = str2num(get(findobj(gcbf, 'Tag', 'edit2'), 'String'));

if(or(isempty(noIter), isempty(alpha)))
   msgbox('Please enter alpha and/or number of iterations!', 'Missing parameter', 'error', 'modal');
   return;
end

if isempty(USplus)
    hbox = msgbox('The power of the present US is missing. A power of 1.0 will be used', 'Missing power of present US', 'warn', 'modal');
    uiwait(hbox);
end

if isempty(USminus)
    hbox = msgbox('The power of the absent US is missing. A power of 0.9 will be used', 'Missin power of absent US', 'warn', 'modal');
    uiwait(hbox);
end

rescWagn(noIter, alpha, USplus, USminus);
